package com.xty.common.cameraUtils

import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import com.hjq.toast.ToastUtils

class QrScreen {
    companion object{
/*
        XQRCode.startScan(this, 100);



        override fun onActivityResult(requestCode: Int, resultCode: Int, data: Intent?) {
            super.onActivityResult(requestCode, resultCode, data)
            if(requestCode==100&&resultCode== AppCompatActivity.RESULT_OK){
                var type=data!!.getIntExtra(XQRCode.RESULT_TYPE,0)
                when(type){
                    XQRCode.RESULT_SUCCESS-> {
                        var a = data!!.extras!!.getString(XQRCode.RESULT_DATA)
                        ToastUtils.show(a)
                    }
                    XQRCode.RESULT_FAILED->{
                        ToastUtils.show("失败")
                    }
                }
            }

        }
        */

    }
}